package org.springblade.workorder.common;

import org.apache.http.annotation.Contract;

import java.util.HashMap;
import java.util.Map;

public enum FlowStepConst {
	/**
	 * 	记录流程位置，方便展示不同处理表单
	 */
	 STEP_1 ("step1"),
	 STEP_2 ("step2"),
	 STEP_3 ("step3"),
	 STEP_4 ("step4"),
	 STEP_5 ("step5"),
	 STEP_6 ("step6"),
	 STEP_7 ("step7"),
	 STEP_8 ("step8"),
	 STEP_9 ("step9");

	  public static Map flowStep = new HashMap<String,FlowStepConst>(){
		 {
		 	put(STEP_1.step, STEP_1);
		 	put(STEP_2.step, STEP_2);
		 	put(STEP_3.step, STEP_3);
		 	put(STEP_4.step, STEP_4);
		 	put(STEP_5.step, STEP_5);
		 	put(STEP_6.step, STEP_6);
		 	put(STEP_7.step, STEP_7);
		 	put(STEP_8.step, STEP_8);
		 	put(STEP_9.step, STEP_9);
		 }
	 };

	public String step;

	FlowStepConst(String step){
	 	this.step = step;
	 }

	 public String getStep(){
	 	return this.step;
	 }


}
